﻿if (GetLocale() == "frFR") then
--------------------------------------------------------------------------------------------------------
--                                                Misc                                                --
--------------------------------------------------------------------------------------------------------

BINDING_HEADER_EXAMINER = "Examiner";
BINDING_NAME_EXAMINER_TARGET = "Inspecter la cible";
BINDING_NAME_EXAMINER_MOUSEOVER = "Inspect Mouseover";

Examiner.Classification = {
	["worldboss"] = "Boss",
	["rareelite"] = "RareElite",
	["elite"] = "Elite",
	["rare"] = "Rare",
};

--ExScanner.SocketToken = "^Bonus de sertissage :";
--ExScanner.SetBonusToken = "^%(%d%) Ensemble :";
ExScanner.SetBonusTokenActive = "^Complet :";

--------------------------------------------------------------------------------------------------------
--                                           Stat Patterns                                            --
--------------------------------------------------------------------------------------------------------

ExScanner.Patterns = {
	--  Base Stats   --
	{ p = "%+(%d+) Force", s = "STR" },
	{ p = "Force %+(%d+)", s = "STR" }, -- Bracers of Eradication
	{ p = "%+(%d+) Agilité", s = "AGI" },
	{ p = "%+(%d+) Endurance", s = "STA" },
	{ p = "%+(%d+) en Endurance", s = "STA" },
	{ p = "Endurance %+(%d+)", s = "STA" }, -- Infused Amethyst Workaround
	{ p = "%+(%d+) Intelligence", s = "INT" },
	{ p = "%+(%d+) Esprit", s = "SPI" },
	{ p = "Esprit %+(%d+)", s = "SPI" },
	{ p = "Armure : (%d+)", s = "ARMOR" },
	{ p = "%+(%d+) Armure", s = "ARMOR" },

	-- Resistances (Exclude the Resist-"ance" then it picks up armor patches as well)
	{ p = "%+(%d+) à la résistance Arcanes", s = "ARCANERESIST" },
	{ p = "%+(%d+) à la résistance Feu", s = "FIRERESIST" },
	{ p = "%+(%d+) à la résistance Nature", s = "NATURERESIST" },
	{ p = "%+(%d+) à la résistance Givre", s = "FROSTRESIST" },
	{ p = "%+(%d+) à la résistance Ombre", s = "SHADOWRESIST" },
	{ p = "%+(%d+) à toutes les résistances", s = { "ARCANERESIST", "FIRERESIST", "NATURERESIST", "FROSTRESIST", "SHADOWRESIST" } },

	-- Equip (Other)
	{ p = "Augmente de (%d+) le score de résilience%.", s = "RESILIENCE" },

	{ p = "Augmente le score de défense de (%d+)%.", s = "DEFENSE" },
	{ p = "Augmente de (%d+) le score d'esquive%.", s = "DODGE" },
	{ p = "Augmente votre score d'esquive de (%d+)%.", s = "DODGE" },
	{ p = "Augmente de (%d+) le score de parade%.", s = "PARRY" },
	{ p = "Augmente votre score de parade de (%d+)%.", s = "PARRY" },
	{ p = "Augmente de (%d+) le score de blocage%.", s = "BLOCK" },
	{ p = "Augmente le score de blocage de votre bouclier de (%d+)%.", s = "BLOCK" },

	{ p = "Augmente la valeur de blocage de votre bouclier de (%d+)%.", s = "BLOCKVALUE" },
	{ p = "^Bloquer : (%d+)$", s = "BLOCKVALUE" }, -- Should catch only block value from a shield

	{ p = "Rend (%d+) points de vie toutes les 5 sec%.", s = "HP5" },

	-- Equip (Melee)
	{ p = "Augmente de (%d+) le score de coup critique%.", s = "CRIT" },
	{ p = "Augmente votre score de coup critique de (%d+)%.", s = "CRIT" },
	{ p = "Augmente de (%d+) le score de toucher%.", s = "HIT" },
	{ p = "Augmente votre score de toucher de (%d+)%.", s = "HIT" },

	{ p = "Augmente de (%d+) le score de hâte%.", s = "HASTE" },
	{ p = "Augmente votre score de hâte de (%d+)%.", s = "HASTE" },

	{ p = "Augmente de (%d+) la puissance d'attaque%.", s = "AP" },
	{ p = "Augmente la puissance des attaques à distance de (%d+)%.", s = "RAP" },
	{ p = "Augmente de (%d+) la puissance d'attaque pour les formes de félin, d'ours, d'ours redoutable et de sélénien uniquement%.", s = "APFERAL" },

	{ p = "Vos attaques ignorent (%d+) points de l'Armure de votre adversaire%.", s = "ARMORPENETRATION" },

	-- Equip (Magic)
	{ p = "Augmente de (%d+) le score de coup critique des sorts%.", s = "SPELLCRIT" },
	{ p = "Augmente le score de coup critique des sorts de (%d+).", s = "SPELLCRIT" },
	{ p = "Augmente de (%d+) le score de toucher des sorts%.", s = "SPELLHIT" },

	{ p = "Augmente de (%d+) le score de hâte des sorts%.", s = "SPELLHASTE" },
	{ p = "Augmente la pénétration de vos sorts de (%d+)%.", s = "SPELLPENETRATION" },

	{ p = "Augmente les soins prodigués par les sorts et effets de (%d+) au maximum%.", s = "HEAL" },
	{ p = "Augmente les dégâts et les soins produits par les sorts et effets magiques de (%d+) au maximum%.", s = { "SPELLDMG", "HEAL" } },

	{ p = "Augmente les dégâts infligés par les sorts et effets des Arcanes de (%d+) au maximum%.", s = "ARCANEDMG" },
	{ p = "Augmente les dégâts infligés par les sorts et effets de Feu de (%d+) au maximum%.", s = "FIREDMG" },
	{ p = "Augmente les dégâts infligés par les sorts et effets de Nature de (%d+) au maximum%.", s = "NATUREDMG" },
	{ p = "Augmente les dégâts infligés par les sorts et effets de Givre de (%d+) au maximum%.", s = "FROSTDMG" },
	{ p = "Augmente les dégâts infligés par les sorts et effets d'Ombre de (%d+) au maximum%.", s = "SHADOWDMG" },
	{ p = "Augmente les dégâts infligés par les sorts et effets du Sacré de (%d+) au maximum%.", s = "HOLYDMG" },

	-- Weapon Skills
	{ p = "Augmente le score de la compétence Epées de (%d+)%.", s = "WPNSKILL_SWORD" },
	{ p = "Augmente le score de la compétence Masses de (%d+)%.", s = "WPNSKILL_MACE" },
	{ p = "Score de la compétence Haches augmenté de (%d+)%.", s = "WPNSKILL_AXE" },
	{ p = "Augmente le score de la compétence Dagues de (%d+)%.", s = "WPNSKILL_DAGGER" },

	{ p = "Augmente le score de la compétence Epées à deux mains de (%d+)%.", s = "WPNSKILL_SWORD_2H" },
	{ p = "Augmente le score de la compétence Masses à deux mains de (%d+)%.", s = "WPNSKILL_MACE_2H" },
	{ p = "Augmente le score de la compétence Haches à deux mains de (%d+)%.", s = "WPNSKILL_AXE_2H" },

	{ p = "Augmente le score de compétence Combat farouche de (%d+)%.", s = "WPNSKILL_FERAL" },

	{ p = "Score de la compétence Arcs augmenté de (%d+)%.", s = "WPNSKILL_BOW" },
	{ p = "Augmente le score de la compétence Armes à feu de (%d+)%.", s = "WPNSKILL_GUN" },
	{ p = "Augmente le score de la compétence Arbalètes de (%d+)%.", s = "WPNSKILL_CROSSBOW" },

	-- Enchants / Gems / Socket Bonuses / Mixed / Misc
	{ p = "^%+(%d+) points de vie$", s = "HP" },
	{ p = "^%+(%d+) PV$", s = "HP" },
	{ p = "^%+(%d+) points de mana$", s = "MP" },

	{ p = "^Vitalité$", s = { "MP5", "HP5" }, v = 4 },
	{ p = "^Sauvagerie$", s = "AP", v = 70 },
	{ p = "^Pied sûr$", s = "HIT", v = 10 },
	{ p = "^Âme de givre$", s = { "FROSTDMG", "SHADOWDMG" }, v = 54 },
	{ p = "^Feu solaire$", s = { "ARCANEDMG", "FIREDMG" }, v = 50 },

	{ p = "%+(%d+) à toutes les caractéristiques", s = { "STR", "AGI", "STA", "INT", "SPI" } },

	{ p = "Rend (%d+) points de mana toutes les 5 sec%.", s = "MP5" },
	{ p = "%+(%d+) points de mana toutes les 5 sec", s = "MP5" },
	{ p = "et (%d+) points de mana toutes les 5 sec", s = "MP5" },
	{ p = "(%d+) point de mana toutes les 5 sec.", s = "MP5" },
	{ p = "%+(%d+) Régén. de mana", s = "MP5" },
	{ p = "%+(%d+) à la régén. de mana", s = "MP5" },

	{ p = "Rend (%d+) points de vie toutes les 5 sec%.", s = "HP5" },

	{ p = "%+(%d+) aux dégâts des sorts des Arcanes", s = "ARCANEDMG" },
	{ p = "%+(%d+) aux dégâts des sorts de Feu", s = "FIREDMG" },
	{ p = "%+(%d+) aux dégâts des sorts de Nature", s = "NATUREDMG" },
	{ p = "%+(%d+) aux dégâts des sorts de Givre", s = "FROSTDMG" },
	{ p = "%+(%d+) aux dégâts des sorts d'Ombre", s = "SHADOWDMG" },
	{ p = "%+(%d+) aux dégâts des sorts du Sacré", s = "HOLYDMG" },

	{ p = "%+(%d+) au score de défense", s = "DEFENSE" }, -- Exclude "Rating" from this pattern due to Paladin ZG Enchant
	{ p = "%+(%d+) au score d'esquive", s = "DODGE" },
	{ p = "%+(%d+) au score de parade", s = "PARRY" },
	{ p = "%+(%d+) au score de blocage", s = "BLOCK" },
	{ p = "%+(%d+) à la valeur de blocage", s = "BLOCKVALUE" },

	{ p = "%+(%d+) à la puissance d'attaque", s = "AP" },
	{ p = "%+(%d+) à la puissance d'attaque à distance", s = "RAP" },
	{ p = "%+(%d+) au score de toucher", s = "HIT" },
	{ p = "%+(%d+) au score de .* critique$", s = "CRIT" },
	{ p = "Score de critique %+(%d+)", s = "CRIT" },
	{ p = "%+(%d+) au score de résilience", s = "RESILIENCE" },

	{ p = "%+(%d+) aux soins", s = "HEAL" },
	{ p = "%+(%d+) aux sorts de soins", s = "HEAL" },
	{ p = "%+(%d+) Soins", s = "HEAL" },
	{ p = "Soins %+(%d+)", s = "HEAL" },
	{ p = "%+(%d+) Healing and Spell Damage", s = "SPELLDMG" }, -- Warlock ZG Enchant (Healing will be cought by the other pattern)
	{ p = "Dégâts des sorts %+(%d+)", s = { "SPELLDMG", "HEAL" } }, -- Infused Amethyst Workaround
	{ p = "%+(%d+) à la puissance des sorts", s = { "SPELLDMG", "HEAL" } },
	{ p = "%+(%d+) aux dégâts des sorts", s = { "SPELLDMG", "HEAL" } },
	{ p = "%+(%d+) au score de toucher des sorts", s = "SPELLHIT" }, -- Exclude "Rating" from this pattern due to Mage ZG Enchant
	{ p = "Score de toucher des sorts %+(%d+)", s = "SPELLHIT" },
	{ p = "score de toucher des sorts %+(%d+)", s = "SPELLHIT" },
	{ p = "%+(%d+) aux score de coup critique des sorts", s = "SPELLCRIT" },
	{ p = "%+(%d+) au score de coup critique des sorts", s = "SPELLCRIT" },
	{ p = "%+(%d+) au score de critique des sorts", s = "SPELLCRIT" },
	{ p = "score de critique des sorts %+(%d+)", s = "SPELLCRIT" },
	{ p = "%+(%d+) à la pénétration des sorts", s = "SPELLPENETRATION" },
	{ p = "%+(%d+) Damage and Healing Spells", s = { "SPELLDMG", "HEAL" } },

	{ p = "%+(%d+) Weapon Damage", s = "WPNDMG" },
	{ p = "^Lunette %(%+(%d+) .* de dégâts%)$", s = "RANGEDDMG" },

	-- Demon's Blood
	{ p = "Augmente le score de défense de 5, la résistance à l'Ombre de 10 et votre régénération des points de vie normale de 3%. ", s = { "DEFENSE", "SHADOWRESIST", "HP5" }, v = { 5, 10, 3 } },

	-- Void Star Talisman (Warlock T5 Class Trinket)
	{ p = "Augmente les résistances de votre familier de 130 et vos dégâts des sorts de 48 au maximum%.", s = "SPELLDMG", v = 48 },

	-- Temp Enchants (Disabled as they are not part of "gear" stats)
	--{ p = "Minor Mana Oil", s = "MP5", v = 4 },
	--{ p = "Lesser Mana Oil", s = "MP5", v = 8 },
	--{ p = "Superior Mana Oil", s = "MP5", v = 14 },
	--{ p = "Brilliant Mana Oil", s = { "MP5", "HEAL" }, v = { 12, 25 } },

	--{ p = "Minor Wizard Oil", s = "SPELLDMG", v = 8 },
	--{ p = "Lesser Wizard Oil", s = "SPELLDMG", v = 16 },
	--{ p = "Wizard Oil", s = "SPELLDMG", v = 24 },
	--{ p = "Superior Wizard Oil", s = "SPELLDMG", v = 42 },
	--{ p = "Brilliant Wizard Oil", s = { "SPELLDMG", "SPELLCRIT" }, v = { 36, 14 } },

	-- Future Patterns (Disabled)
	--{ p = "When struck in combat inflicts (%d+) .+ damage to the attacker.", s = "DMGSHIELD" },
};

--------------------------------------------------------------------------------------------------------
--                                        Stat Order & Naming                                         --
--------------------------------------------------------------------------------------------------------

Examiner.StatEntryOrder = {
	[1] = { name = "Stats de base ", stats = {"STR", "AGI", "STA", "INT", "SPI", "ARMOR"} },
	[2] = { name = "Vie & Mana ", stats = {"HP", "MP", "HP5", "MP5"} },
	[3] = { name = "Stats en melée & à distance ", stats = {"AP", "RAP", "APFERAL", "CRIT", "HIT", "HASTE", "WPNDMG", "RANGEDDMG", "ARMORPENETRATION"} },
	[4] = { name = "Compétences d'arme ", stats = { "WPNSKILL_SWORD", "WPNSKILL_MACE", "WPNSKILL_AXE", "WPNSKILL_DAGGER", "WPNSKILL_SWORD_2H", "WPNSKILL_MACE_2H", "WPNSKILL_AXE_2H", "WPNSKILL_FERAL", "WPNSKILL_BOW", "WPNSKILL_GUN", "WPNSKILL_CROSSBOW" } },
	[5] = { name = "Stats des sorts ", stats = {"HEAL", "SPELLDMG", "ARCANEDMG", "FIREDMG", "NATUREDMG", "FROSTDMG", "SHADOWDMG", "HOLYDMG", "SPELLCRIT", "SPELLHIT", "SPELLHASTE", "SPELLPENETRATION"} },
	[6] = { name = "Stats défensives ", stats = {"DEFENSE", "DODGE", "PARRY", "BLOCK", "BLOCKVALUE", "RESILIENCE"} },
};

ExScanner.StatNames = {
	["STR"] = "Force",
	["AGI"] = "Agilité",
	["STA"] = "Endurance",
	["INT"] = "Intelligence",
	["SPI"] = "Esprit",

	["ARMOR"] = "Armure",

	["ARCANERESIST"] = "Résistance aux Arcanes",
	["FIRERESIST"] = "Résistance au Feu",
	["NATURERESIST"] = "Résistance à la Nature",
	["FROSTRESIST"] = "Résistance au Givre",
	["SHADOWRESIST"] = "Résistance à l'Ombre",

	["DODGE"] = "Score d'esquive",
	["PARRY"] = "Score de parade",
	["DEFENSE"] = "Score de défense",
	["BLOCK"] = "Score de blocage",
	["BLOCKVALUE"] = "Valeur de blocage",
	["RESILIENCE"] = "Score de résilience",

	["AP"] = "Puissance d'attaque",
	["RAP"] = "Puissance d'attaque à distance",
	["APFERAL"] = "Puissance d'attaque (farouche)",
	["CRIT"] = "Score de critique",
	["HIT"] = "Score de toucher",
	["HASTE"] = "Score de hâte",
	["WPNDMG"] = "Dégâts de l'arme",
	["RANGEDDMG"] = "Dégâts à distance",
	["ARMORPENETRATION"] = "Pénétration de l'armure",

	["WPNSKILL_SWORD"] = "Score de compétence Epées",
	["WPNSKILL_MACE"] = "Score de compétence Masse",
	["WPNSKILL_AXE"] = "Score de compétence Haches",
	["WPNSKILL_DAGGER"] = "Score de compétence Dagues",
	["WPNSKILL_SWORD_2H"] = "Score de compétence Epées 2M",
	["WPNSKILL_MACE_2H"] = "Score de compétence Masses à 2M",
	["WPNSKILL_AXE_2H"] = "Score de compétence Haches 2M",
	["WPNSKILL_FERAL"] = "Score de compétence Combat farouche",
	["WPNSKILL_BOW"] = "Score de compétence Arcs",
	["WPNSKILL_GUN"] = "Score de compétence Armes à feu",
	["WPNSKILL_CROSSBOW"] = "Score de compétence Arbalètes",

	["SPELLCRIT"] = "Score de critique des sorts",
	["SPELLHIT"] = "Score de toucher des sorts",
	["SPELLHASTE"] = "Score de hâte des sorts",
	["SPELLPENETRATION"] = "Pénetration des sorts",

	["HEAL"] = "Soins",
	["SPELLDMG"] = "Dégâts des sorts",
	["ARCANEDMG"] = "Dégâts des sorts (Arcanes)",
	["FIREDMG"] = "Dégâts des sorts (Feu)",
	["NATUREDMG"] = "Dégâts des sorts (Nature)",
	["FROSTDMG"] = "Dégâts des sorts (Givre)",
	["SHADOWDMG"] = "Dégâts des sorts (Ombre)",
	["HOLYDMG"] = "Dégâts des sorts (Sacré)",

	["HP"] = "Points de vie",
	["MP"] = "Points de mana",

	["HP5"] = "Régén. vie par 5 sec.",
	["MP5"] = "Régén. mana par 5 sec.",
};
end